summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-python/deprecated: Remove oldMichał Górny6 days2-33/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: amd64/x86 stable (ALLARCHES policy) wrt bug #817050Agostino Sarubbo6 days1-1/+1
| | | | | Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-111-1/+1
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* dev-python/deprecated: Bump to 1.2.13Michał Górny2021-09-062-0/+33
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Keyword 1.2.12 arm64, #793767Sam James2021-06-081-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* dev-python/deprecated: Enable py3.10Michał Górny2021-06-011-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Remove oldMichał Górny2021-04-182-33/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Stabilize 1.2.12 ALLARCHES, #783273Sam James2021-04-181-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* dev-python/deprecated: Bump to 1.2.12Michał Górny2021-03-142-0/+33
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Remove oldMichał Górny2021-02-193-81/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Stabilize 1.2.11 ALLARCHES, #771384Sam James2021-02-191-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* */*: Remove obsolete values from PYTHON_COMPATMichał Górny2021-01-311-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Bump to 1.2.11Michał Górny2021-01-172-0/+33
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/*: add pypi remote-idsMichał Górny2020-12-111-0/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Remove redundant versionsMichał Górny2020-07-123-41/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Stabilize 1.2.10 ALLARCHES, #731358Michał Górny2020-07-081-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Mark ALLARCHESMichał Górny2020-07-081-0/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Port to py39Michał Górny2020-05-303-3/+62
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: amd64 stable wrt bug #722984Agostino Sarubbo2020-05-151-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/deprecated: x86 stable wrt bug #722984Agostino Sarubbo2020-05-151-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/deprecated: Bump to 1.2.10Michał Górny2020-05-142-0/+21
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Bump to 1.2.9Michał Górny2020-04-112-0/+21
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Remove redundant versionsMichał Górny2020-03-262-29/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Remove py2Michał Górny2020-03-162-2/+2
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Enable py3.8 & pypy3Michał Górny2020-02-111-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* */*: Clean PYTHON_COMPAT of obsolete implsMichał Górny2020-01-052-4/+4
| | | | | Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Drop to python@Michał Górny2020-01-031-4/+0
| | | | | | | This is a nice, generally usable Python package with tests. Let's put it between other python@ packages. Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: x86 stable wrt bug #704120Agostino Sarubbo2019-12-311-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/deprecated: amd64 stable wrt bug #704120Agostino Sarubbo2019-12-301-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* */*: [QA] Fix trivial cases of MissingTestRestrictMichał Górny2019-12-111-0/+1
| | | | | | | | | | | | | | | | | | The result was achieved via the following pipeline: pkgcheck scan -c RestrictTestCheck -R FormatReporter \ --format '{category}/{package}/{package}-{version}.ebuild' | xargs -n32 grep -L RESTRICT | xargs -n32 sed -i -e '/^IUSE=.*test/aRESTRICT="!test? ( test )"' The resulting metadata was compared before and after the change. Few Go ebuilds had to be fixed manually due to implicit RESTRICT=strip added by the eclass. Two ebuilds have to be fixed because of multiline IUSE. Suggested-by: Robin H. Johnson <robbat2@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13942 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Bump to 1.2.7Michał Górny2019-11-122-0/+21
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: x86 stable wrt bug #690880Agostino Sarubbo2019-07-311-1/+1
| | | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.16 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/deprecated: amd64 stable wrt bug #690880Agostino Sarubbo2019-07-311-1/+1
| | | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.16 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/deprecated: Drop oldMichał Górny2019-07-282-28/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: Bump to 1.2.6Michał Górny2019-07-192-0/+28
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/deprecated: New packageMichał Górny2019-06-183-0/+39
A package to handle deprecations in API. Required for PyGithub bump. Signed-off-by: Michał Górny <mgorny@gentoo.org>